Ports - Bug #97

[deadbeef] 0.5.2-1 build fails
2012-05-06 01:07 PM - mtjm

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

CXX mos6510.1o
In file included from sidplay-libs/libsidplay/src/mos6510/mos6510.cpp:57:0:
sidplay-libs/libsidplay/src/mos6510/cycle_based/mos6510c.i: In constructor 'MOS6510::MOS6510 (Event
Context™*) ':
sidplay-libs/libsidplay/src/mos6510/cycle_based/mos6510c.1:2352:58: error: capture of non-variable
'MOS6510: :cycleCount’
In file included from sidplay-libs/libsidplay/src/mos6510/cycle_based/sid6510c.h:76:0,
from sidplay-libs/libsidplay/src/mos6510/mos6510.h:66,
from sidplay-libs/libsidplay/src/mos6510/mos6510.cpp:53:
sidplay-libs/libsidplay/src/mos6510/cycle_based/mos6510c.h:106:20: note: 'int_least8_t MOS6510::cy
cleCount' declared here
In file included from sidplay-libs/libsidplay/src/mos6510/mos6510.cpp:57:0:
sidplay-libs/libsidplay/src/mos6510/cycle_based/mos6510c.1:2444:58: error: capture of non-variable
'MOS6510: :cycleCount’
In file included from sidplay-libs/libsidplay/src/mos6510/cycle_based/sid6510c.h:76:0,
from sidplay-libs/libsidplay/src/mos6510/mos6510.h:66,
from sidplay-libs/libsidplay/src/mos6510/mos6510.cpp:53:
sidplay-libs/libsidplay/src/mos6510/cycle_based/mos6510c.h:106:20: note: 'int_least8_t MOS6510::cy
cleCount' declared here
make[2]: *** [mos6510.1lo] Error 1
make[2]: Leaving directory ' /build/src/deadbeef-0.5.2/plugins/sid"

History

#2 - 2012-06-06 08:50 PM - mtjm
0.5.4-2 built after other changes.

#3 - 2016-05-12 12:26 AM - Anonymous

- Project changed from 3 to Ports
deadbeef-0.5.2-1-mips64el-build.log 27.4 KB 2012-05-06 mtjm
